## com.bbn.openmap.layer.util.html
Class TableHeaderElement

    java.lang.Object
      com.bbn.openmap.layer.util.html.WrapElement
          com.bbn.openmap.layer.util.html.TableHeaderElement

All Implemented Interfaces:
  Element, TableCellElement

public class TableHeaderElement
extends WrapElement
implements TableCellElement

This class is used for Column/Row head elements in html tables

Field Summary

Fields inherited from class com.bbn.openmap.layer.util.html.WrapElement
`e, paramString, wrapString`

Constructor Summary
`TableHeaderElement(Element e)` Construct a column header with an element
`TableHeaderElement(java.lang.String s)` Construct a column header with a string
`TableHeaderElement(java.lang.String paramString, Element e)` Construct a column header with an element
`TableHeaderElement(java.lang.String paramString, java.lang.String s)` Construct a column header with a string

Methods inherited from class com.bbn.openmap.layer.util.html.WrapElement
`generate, getElement, setElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.layer.util.html.Element
`generate`

Constructor Detail

### TableHeaderElement

    public TableHeaderElement(Element e)

  Construct a column header with an element

Parameters:
  `e` - the element to put in the cell

### TableHeaderElement

    public TableHeaderElement(java.lang.String s)

  Construct a column header with a string

Parameters:
  `s` - the string to put in the cell

### TableHeaderElement

    public TableHeaderElement(java.lang.String paramString,
                              Element e)

  Construct a column header with an element

Parameters:
  `e` - the element to put in the cell

### TableHeaderElement

    public TableHeaderElement(java.lang.String paramString,
                              java.lang.String s)

  Construct a column header with a string

Parameters:
  `s` - the string to put in the cell

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details